List AI voice agents
curl --request GET \
--url https://api.cekura.ai/test_framework/v2/aiagents/ \
--header 'X-CEKURA-API-KEY: <api-key>'import requests
url = "https://api.cekura.ai/test_framework/v2/aiagents/"
headers = {"X-CEKURA-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CEKURA-API-KEY': '<api-key>'}};
fetch('https://api.cekura.ai/test_framework/v2/aiagents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"description": "<string>",
"id": 123,
"name": "<string>",
"project": 123,
"language": "en",
"telephony": {
"phone_number": "<string>",
"inbound": false,
"sip_uri": "<string>",
"sip_auth": "<unknown>",
"websocket_url": "<string>",
"websocket_auth": "<unknown>",
"outbound_numbers": [
"<string>"
]
},
"provider": {
"agent_id": "<string>",
"credentials": {
"config": {
"public_key": "<string>",
"trigger_url": "<string>"
}
},
"chat_agent_details": {
"config": {
"agent_id": "<string>"
}
},
"auto_dial_outbound": true,
"auto_import_calls": true,
"auto_sync_prompt": true,
"send_post_conversation_metadata": true
},
"agent_speaks_first": true,
"knowledge_base_files": [
{
"agent": 123,
"id": 123,
"file_url": "<string>",
"file_name": "<string>",
"file_type": "<string>",
"file_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"enabled_personalities": [
123
],
"webhook_url": "<string>",
"webhook_secret_configured": "<string>",
"mock_tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"mock_data": "<unknown>",
"served_via": {
"url": "<string>",
"mock_index": 123
}
}
],
"mock_tools_enabled": true,
"mock_tools_provider": "<string>",
"dynamic_variables": [
{
"id": 123,
"name": "<string>",
"description": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email_id": "jsmith@example.com"
}
],
"next": "https://api.cekura.ai/example/v1/example-external/?page=4",
"previous": "https://api.cekura.ai/example/v1/example-external/?page=3"
}Agents
List Agents
List AI voice agents
GET
/
test_framework
/
v2
/
aiagents
/
List AI voice agents
Authorizations
API Key Authentication. It should be included in the header of each request.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Filter by project ID
Search agents by name. A numeric value also matches the agent id.
Tenant scope. Supply one of project_id, organization_id when authenticating with a user session or OAuth bearer token; omit when using an API key already scoped to the tenant.
⌘I